#! /usr/bin/python
# coding: UTF-8

# python 温度-湿度グラフ描画 サンプルプログラム
# 実行コマンド(例): python graph.py
#
# 下記logfile変数にファイル名を指定してください.


import numpy as np
import matplotlib as mpl
mpl.use('Agg')
import matplotlib.pyplot as plt
import csv

logpath = 'log/'
logfile = 'yyyymmdd.log'

csv_data = csv.reader(open(logpath + logfile))

x = []
y = []
y2 = []
x2 = []

if __name__ == '__main__':

  #ログファイルよりデータ読み込み→格納
  for row in csv_data:
    x.append(row[0])
    y.append(row[1])
    y2.append(row[2])	
  #x軸時間データを連続に→分の部分を時間に変換
  i = 0
  while len(x)>i :  
    x2.append( round((float(x[i][0:2]) + float(x[i][2:4])/60),2) )
    i += 1
  #figure作成
  fig = plt.figure()
  ax1 = fig.add_subplot(111, aspect='equal')
  #データプロット
  ax1.plot(x2,y,'r')
  ax2 = ax1.twinx()
  ax2.plot(x2,y2,'b')
  #ラベル命名＆色変更
  ax1.set_title('Temperature and Humidity / by day')
  ax1.set_xlabel('Time(H) on ' + logfile[:4] + '/' + logfile[4:6] + '/' + logfile[6:8])
  ax1.set_ylabel('Temperature',color='r')
  for tl in ax1.get_yticklabels():
    tl.set_color('r')

  ax2.set_ylabel('Relative humidity',color='b')
  for tl in ax2.get_yticklabels():
    tl.set_color('b')

  #.pngファイルに保存
  fig.savefig('graph.png')
